Assignee: Elmer de Looff % Done: 100%

Category: Model Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

We need a way to sort the results from the List method.

Also, a limit + offset so that pagination can be achieved.

Thirdly, and optionally, return the unlimited count of rows that would be returned if the LIMIT statement had not been applied to the

query.

See: http://dev.mysql.com/doc/refman/5.0/en/information-functions.html#function_found-rows for this last function.

Associated revisions

Revision 306:62121196ef2f - 2012-12-21 15:10 - Elmer de Looff

Exposed limits and offsets on the Record.List method. Also a flag that causes the List method to yield the total count as the first item. This resolves

#1315.

History

#1 - 2012-12-18 15:51 - Elmer de Looff

- Subject changed from Sorting and limiting on the List method to Sorting and limiting the List method

- Description updated

#2 - 2012-12-21 15:10 - Elmer de Looff

- Status changed from New to Resolved

- % Done changed from 0 to 70

Applied in changeset 62121196ef2f.

#3 - 2013-02-06 14:46 - Elmer de Looff

- Status changed from Resolved to Closed

- % Done changed from 70 to 100
